package com.yd.dal.mapper.customer;

import com.yd.dal.entity.customer.AclCustomerFortuneWithdraw;
import java.util.List;
import java.util.Map;
import java.util.Set;

import org.apache.ibatis.annotations.Param;

public interface AclCustomerFortuneWithdrawMapper {
    int deleteByPrimaryKey(Long id);

    int insert(AclCustomerFortuneWithdraw record);

    int insertSelective(AclCustomerFortuneWithdraw record);

    AclCustomerFortuneWithdraw selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(AclCustomerFortuneWithdraw record);

    int updateByPrimaryKey(AclCustomerFortuneWithdraw record);

    int updateBatch(List<AclCustomerFortuneWithdraw> list);

    int updateBatchSelective(List<AclCustomerFortuneWithdraw> list);

    int batchInsert(@Param("list") List<AclCustomerFortuneWithdraw> list);

    List<Map<String, Object>> findFinalWithdrawNoPayByCustomerIds(@Param("list")List<Long> customerIdList, @Param("payoutBatchId")Long payoutBatchId);

    List<AclCustomerFortuneWithdraw> findByIds(List<Long> withdrawUpdateIds);

    List<Map<String, Object>> findFinalWithdrawPayByCustomerIds(List<Long> customerIdList);

    List<AclCustomerFortuneWithdraw> findByFortuneIds(Long[] fortuneIds);
}